ur_rna.RNAstructureUI.utilities

## Enum FileType

- java.lang.Object
- - java.lang.Enum<FileType>
  - - ur_rna.RNAstructureUI.utilities.FileType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FileType>

      public enum FileType
      extends java.lang.Enum<FileType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CT`
    `DBN`
    `PFS`
    `SAV`
    `SEQ`
    `SHAPE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `backendValue()`
    `boolean` | `equals(int value)`
    `static FileType` | `guessTypeFromFilePath(java.lang.String path)`
    `static FileType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FileType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CT

          public static final FileType CT

    - #### DBN

          public static final FileType DBN

    - #### PFS

          public static final FileType PFS

    - #### SAV

          public static final FileType SAV

    - #### SEQ

          public static final FileType SEQ

    - #### SHAPE

          public static final FileType SHAPE

  - ### Field Detail

    - #### value

          private final int value

  - ### Method Detail

    - #### backendValue

          public int backendValue()

    - #### equals

          public boolean equals(int value)

    - #### guessTypeFromFilePath

          public static FileType guessTypeFromFilePath(java.lang.String path)

    - #### valueOf

          public static FileType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static FileType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileType c : FileType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared